import wx

class MySplashScreen(wx.SplashScreen):
    def __init__(self):
        self.image = wx.Image("splash.png") 
        wx.SplashScreen.__init__(self, self.image.ConvertToBitmap(),
                                 wx.SPLASH_CENTRE_ON_SCREEN,# | wx.SPLASH_TIMEOUT,
                                 5000, None, -1)
        self.Bind(wx.EVT_CLOSE, self.OnClose)
        self.Bind(wx.EVT_LEFT_DOWN, self.OnMouse)
        self.Bind(wx.EVT_LEFT_UP, self.OnMouse)
        self.GetSplashWindow().Bind(wx.EVT_PAINT, self.OnPaint)
        self.Bind(wx.EVT_PAINT, self.OnPaint)
        
    def OnClose(self, evt):
        evt.Skip()
        self.Hide()
        
    def OnMouse(self, evt):
        pass
        
    def GetImage(self):
        return self.GetSplashWindow().GetBitmap().ConvertToImage()
    
    def SetImage(self, img):
        self.GetSplashWindow().SetBitmap(img.ConvertToBitmap())
        
    def OnPaint(self, evt):
        print "OnPaint"
        dc = wx.PaintDC(self.GetSplashWindow())
        
    def DrawText(self, text):
        dc = wx.WindowDC(self.GetSplashWindow())
        dc.Clear()
        dc.DrawBitmap(self.image.ConvertToBitmap(), 0, 0)
        dc.SetTextForeground(wx.WHITE)
        dc.SetFont(wx.NORMAL_FONT)
        dc.DrawText(text, 10, 10)
        self.GetSplashWindow().Update()